Skip to main content
The Boost with Signals query pipeline stage uses aggregated signals to selectively boost items in the set of search results. Using the main query and the stage configuration parameters, this stage performs a secondary query to the _signals_aggr collection and returns updated boost weights for the items in the main query’s search results. Items that have received more user interaction also receive higher boost weights. See Recommendation Methods for more information. This stage supports asynchronous processing.
This stage accesses the signals_aggr collection. Before using it, verify that the following permission is set:
GET:/solr/<collection-name>_signals_aggr/select

Configuration overview

The fields below are especially useful to understand when configuring this stage.

Solr query parameters

These parameters are used in the Solr Query parameters/queryParams field for retrieving signal aggregation docs from the _signals_aggr collection. These Solr query params will affect which aggregated signals are used for producing the boosting parameter on the main query.

FAQs

If there is fq in the main query, how is it matched with the correct aggregated signal? In this case, you need to use the lw.rec.fq query parameter in the main query. lw.rec.fq can be parsed by the Boost with Signals stage, and therefore the filters specified in it can be added to the Solr query that is retrieving the aggregated signals. For example, if we have filter query param fq=format:CD&fq=name:Latin, this needs to be translated into lw.rec.fq=filters_s:"format:cd $ name:latin". Values must be lowercase. The final main query should be:
Now the Boost with Signals stage will only retrieve aggregated signals that have the same filter query.
If there are multiple fq values (for example, format:cd and name:latin), they are ordered alphabetically as strings and joined with ” "(a" (a with a space on each side). In the example, "format:cd $ name:latin".
What if my aggregated signals are in a different collection? You can point the Boost with Signals stage to a different signal collection by adding a collection parameter in the Solr Query Parameters section. BwS collection

Configuration

When entering configuration values in the UI, use unescaped characters, such as \t for the tab character. When entering configuration values in the API, use escaped characters, such as \\t for the tab character.